/* ========================================================================= */
/* DATOS =================================================================== */
/* ========================================================================= */

var game = { name: "Señalética", picture: "images/games/senaletica.png", color: "game-senaletica", resHeight: false };

var categories = [
	{ name: 'Señales de emergencia', score: 1 }, 	// categoriesId[0]
	{ name: 'Señales de prohibido', score: 1 }, 	// categoriesId[1]
	{ name: 'Señales de peligro', score: 3 }, 		// categoriesId[2]
	{ name: 'En nuestro día a día', score: 4 }		// categoriesId[3]
];

var categoriesId = [];

// Asignamos un id único a cada categoría y lo guardamos
_.each(categories, function (category) {
	var id = _.uniqueId('category_');
	categoriesId.push(id);
	_.extend(category, {_id: id});
});

var items = [
	// { name: '', picture: 'images/items/.png', color: '', categoriesId: [ categoriesId[] ], resHeight: false },

	{ name: 'Semáforo', picture: 'images/items/semaforo.png', color: 'light-cyan', categoriesId: [categoriesId[3]], resHeight: false },								// itemsId[0]
	{ name: 'Alarma', picture: 'images/items/alarma.png', color: 'dark-green', categoriesId: [categoriesId[3]], resHeight: false  },								// itemsId[1]
	{ name: 'Extintor', picture: 'images/items/extintor.png', color: 'dark-cyan', categoriesId: [categoriesId[0]], resHeight: false  },								// itemsId[2]
	{ name: 'Primeros auxilios', picture: 'images/items/primeros-auxilios.png', color: 'light-cyan', categoriesId: [categoriesId[0]], resHeight: false  },			// itemsId[3]
	{ name: 'Pulsar para abrir', picture: 'images/items/pulsar-abrir.png', color: 'light-purple', categoriesId: [categoriesId[0]], resHeight: false  },				// itemsId[4]
	{ name: 'Punto de reunión', picture: 'images/items/punto-reunion.png', color: 'dark-cyan', categoriesId: [categoriesId[0]], resHeight: false  },				// itemsId[5]
	{ name: 'Salida', picture: 'images/items/salida.png', color: 'light-cyan', categoriesId: [categoriesId[0]], resHeight: false  },								// itemsId[6]
	{ name: 'Escalera de emergencia', picture: 'images/items/escalera-emergencia.png', color: 'light-yellow', categoriesId: [categoriesId[0]], resHeight: false  },			// itemsId[7]
	{ name: 'Incendio', picture: 'images/items/incendio.png', color: 'dark-orange', categoriesId: [categoriesId[2]], resHeight: false  },							// itemsId[8]
	{ name: 'Riesgo indeterminado', picture: 'images/items/riesgo-indeterminado.png', color: 'dark-cyan', categoriesId: [categoriesId[2]], resHeight: false  },		// itemsId[9]
	{ name: 'Riesgo de intoxicación', picture: 'images/items/riesgo-intoxicacion.png', color: 'light-purple', categoriesId: [categoriesId[2]], resHeight: false  },	// itemsId[10]
	{ name: 'Riesgo eléctrico', picture: 'images/items/riesgo-electrico.png', color: 'normal-cyan', categoriesId: [categoriesId[2]], resHeight: false },			// itemsId[11]
	{ name: 'Paso', picture: 'images/items/paso.png', color: 'light-orange', categoriesId: [categoriesId[1]], resHeight: false },									// itemsId[12]
	{ name: 'Fumar', picture: 'images/items/fumar.png', color: 'normal-pink', categoriesId: [categoriesId[1]], resHeight: false },									// itemsId[13]
	{ name: 'Stop', picture: 'images/items/stop.png', color: 'light-yellow', categoriesId: [categoriesId[3]], resHeight: false },									// itemsId[14]
	{ name: 'WC', picture: 'images/items/wc.png', color: 'dark-green', categoriesId: [categoriesId[3]], resHeight: false }											// itemsId[15]
];

var itemsId = [];

// Asignamos un id único a cada item
_.each(items, function (item) {
	var id = _.uniqueId('item_');
	itemsId.push(id);
	_.extend(item, {_id: id});
});

var boxes = [
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] }
];

// Asignamos un id único y un index a cada caja
_.each(boxes, function (box, index) {
	_.extend(box, {_id: _.uniqueId('box_'), index: index});
});